<?php
class Xamo_model extends CI_Model{
	public function __construct(){
		parent::__construct();
	}

	public function listar($xan){
		$query 	= "	SELECT
						atencion_medicamento.amed_id,
						atencion_medicamento.amed_cantidad,
						atencion_medicamento.amed_indicacion,
						atencion_medicamento.ate_id,
						atencion_medicamento.med_id,
						medicamento.med_descripcion
					FROM
						atencion_medicamento
					INNER JOIN medicamento ON atencion_medicamento.med_id = medicamento.med_id
					WHERE atencion_medicamento.ate_id = $xan";
		return 	$this->db->query($query);
	}

	public function insertar($xmo, $xan, $cant, $indi){
		$query 	= "SELECT amed_id FROM atencion_medicamento WHERE med_id = '$xmo' AND ate_id = $xan";
		$query 	= $this->db->query($query);
		$ds 	= $query->row();
		if(!$ds){
			$this->db->set('med_id', $xmo);
			$this->db->set('ate_id', $xan);
			$this->db->set('amed_cantidad', $cant);
			$this->db->set('amed_indicacion', $indi);
			$this->db->insert('atencion_medicamento');
		}
	}

	public function eliminar($id){
		$this->db->where('amed_id', $id);
		$this->db->delete('atencion_medicamento');
	}
}